Get Skill
GET /skills/{skill_id}Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
skill_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | SkillView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/skills/{skill_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — SkillView
Section titled “Response — SkillView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
scope | workspace | organization | platform | required | — |
organization_id | string (uuid) | null | required, nullable | — |
workspace_id | string (uuid) | null | required, nullable | — |
owner_agent_id | string (uuid) | null | required, nullable | — |
owner_user_id | string (uuid) | null | required, nullable | — |
slug | string | required | — |
description | string | required | — |
instructions | string | required | — |
reference_docs | ReferenceDoc[] | required | — |
version | integer | required | — |
curation_state | pending | reviewed | promoted | superseded | retired | required | — |
origin | human | agent | import | derived | required | — |
use_count | integer | required | — |
last_used_at | string (date-time) | null | required, nullable | — |
is_active | boolean | required | — |
created_at | string (date-time) | required | — |
updated_at | string (date-time) | required | — |